Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.valuerange.buildin.primdouble
Class DoubleValueRange

    java.lang.Object
      org.optaplanner.core.impl.domain.valuerange.AbstractUncountableValueRange<Double>
          org.optaplanner.core.impl.domain.valuerange.buildin.primdouble.DoubleValueRange

All Implemented Interfaces:
  Serializable, ValueRange<Double>

    public class DoubleValueRange

extends AbstractUncountableValueRange<Double>

See Also:
  Serialized Form

Constructor Summary
`DoubleValueRange(double from, double to)`

Method Summary
`boolean` | `contains(Double value)`
`Iterator<Double>` | `createRandomIterator(Random workingRandom)` Select in random order, without shuffling the elements.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleValueRange

    public DoubleValueRange(double from,
                            double to)

Parameters:
  `from` - inclusive minimum
  `to` - exclusive maximum, >= `from`

Method Detail

### contains

    public boolean contains(Double value)

  Parameters:
    `value` - sometimes null
  Returns:
    true if the ValueRange contains that value

### createRandomIterator

    public Iterator<Double> createRandomIterator(Random workingRandom)

  Description copied from interface: `ValueRange`
  Select in random order, without shuffling the elements. Each element might be selected multiple times. Scales well because it does not require caching.

  Parameters:
    `workingRandom` - never null, the `Random` to use when any random number is needed, so `EnvironmentMode.REPRODUCIBLE` works correctly
  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.